import { getStateInfo } from "@/lib/getStateInfo";
import Call from "./call/Call";
import Connect from "./Connect";

async function ContactUsPage() {
  const { matchedCity, isRoot } = await getStateInfo();

  return (
    <div className="w-full pt-[24px] sm:pt-[56px] md:pt-[88px] lg:pt-[120px] mt-[56px] padding-responsive flex flex-col lg:flex-row items-center justify-between h-fit">
      <Call matchedCity={matchedCity} isDefault={isRoot} />
      {isRoot && <Connect />}
    </div>
  );
}

export default ContactUsPage;
